## gst-plugins-ugly1.0 1.14.5

=== meson_options.txt ===
option('x264_libraries', type : 'string', value : '',
       description : 'Colon separated list of additional x264 library paths, e.g. for 10-bit version')
option('with-package-name', type : 'string',
       description : 'package name to use in plugins')
option('with-package-origin', type : 'string', value : 'Unknown package origin',
       description : 'package origin URL to use in plugins')

## gst-plugins-ugly1.0 0.11.91

=== debian/changelog ===
gst-plugins-ugly1.0 (0.11.91-1) experimental; urgency=low

  * New upstream release, "I’ll grind his bones to make my bread!":
    + debian/rules,
      debian/build-deps.in:
      - Depend on GStreamer core/base >= 0.11.91.
  * debian/build-deps.in:
    + Update debhelper, autoconf, automake and libtool dependencies.
  * debian/control.in:
    + Update Standards-Version.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 21 May 2012 15:16:03 +0200

gst-plugins-ugly1.0 (0.11.90-1) experimental; urgency=low

  [ Olivier Naudan ]
  * Imported Upstream version 0.11.90
  * Imported debian/ from gst-plugins-ugly 0.10.19-1
  * Updated debian/ for GStreamer 1.0
  * debian/*.install: removed the plugins that have disappeared upstream
  * debian/*.install: added a new plugin, xingmux

  [ Sebastian Dröge ]
  * Build-depend on GLib >= 2.31.14.
  * Update copyright.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 02 May 2012 20:29:44 +0200

gst-plugins-ugly0.10 (0.10.19-1) unstable; urgency=low

  * New upstream stable release, "Stronger":
    + debian/rules,
      debian/build-deps.in:
      - Require GStreamer core/base >= 0.10.36.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 21 Feb 2012 10:51:40 +0100

gst-plugins-ugly0.10 (0.10.18.3-1) experimental; urgency=low

  * New upstream pre-release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 06 Feb 2012 11:08:55 +0100

gst-plugins-ugly0.10 (0.10.18.2-2) experimental; urgency=low

  * debian/control.in:
    + Build-depend on automake (>= 1.10), autoconf (>= 2.60) and
      libtool (>= 2.0) to make dh-autoreconf actually work.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 14 Dec 2011 09:51:04 +0100

gst-plugins-ugly0.10 (0.10.18.2-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/build-deps.in,
      debian/rules:
      - Build-depend on GStreamer core/base 0.10.35.2.
      - Build-depend on GLib 2.24.
      - Build-depend on ORC 0.4.11.
      - Don't build-depend anymore on libid3tag.
    + debian/patches/99_ltmain_as-needed.patch:
      - Refreshed to apply cleanly again.
  * debian/build-deps.in,
    debian/compat,
    debian/control.in,
    debian/gstreamer-plugins-ugly.install,
    debian/rules:
    + Transition package to multi-arch (Closes: #647488).
      Patch taken from the Ubuntu package.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 12 Dec 2011 09:42:37 +0100

gst-plugins-ugly0.10 (0.10.18-3) unstable; urgency=low

  * Add lame to the ugly plugin set as it's available in Debian now (Closes: #636065).

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Fri, 29 Jul 2011 13:33:09 +0200

gst-plugins-ugly0.10 (0.10.18-2) unstable; urgency=low

  * Add x264enc to the ugly plugin set as it's available in debian now

 -- Sjoerd Simons <sjoerd@debian.org>  Tue, 26 Jul 2011 20:46:34 +0100

gst-plugins-ugly0.10 (0.10.18-1) unstable; urgency=low

  * New upstream release, "Extra Life".

 -- Sebastian Dröge <slomo@debian.org>  Tue, 10 May 2011 15:54:01 +0200

gst-plugins-ugly0.10 (0.10.17.3-1) experimental; urgency=low

  * New upstream pre-release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 27 Apr 2011 16:09:41 +0200

gst-plugins-ugly0.10 (0.10.17.2-1) experimental; urgency=low

  [ Alessandro Decina ]
  * debian/rules:
    + Include dh-autoreconf cdbs rule
  * debian/build-deps.in:
    + Add dependency on dh-autoreconf

  [ Sebastian Dröge ]
  * New upstream pre-release.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 17 Apr 2011 11:34:16 +0200

gst-plugins-ugly0.10 (0.10.17-2) unstable; urgency=low

  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 22 Mar 2011 15:25:53 +0100

gst-plugins-ugly0.10 (0.10.17-1) experimental; urgency=low

  * New upstream stable release, "Raised by Wolves".

 -- Sebastian Dröge <slomo@debian.org>  Sat, 22 Jan 2011 13:57:04 +0100

gst-plugins-ugly0.10 (0.10.16.4-1) experimental; urgency=low

  * New upstream pre-release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 19 Jan 2011 21:19:02 +0100

gst-plugins-ugly0.10 (0.10.16.3-1) experimental; urgency=low

  * New upstream pre-release.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 13 Jan 2011 13:43:53 +0100

gst-plugins-ugly0.10 (0.10.16.2-1) experimental; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/build-deps.in,
    debian/rules:
    + Use dpkg-vendor instead of lsb_release.

  [ Sebastian Dröge ]
  * New upstream pre-release:
    + debian/build-deps.in:
      - Require ORC >= 0.4.6.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 10 Jan 2011 17:34:11 +0100

gst-plugins-ugly0.10 (0.10.16-2) experimental; urgency=low

  * debian/build-deps.in:
    + Add epoch to the orc build dependency to get dependencies on
      the correct version.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 17 Sep 2010 13:28:42 +0200

gst-plugins-ugly0.10 (0.10.16-1) experimental; urgency=low

  * New upstream release, "Because He Knows the Time is Short".

 -- Sebastian Dröge <slomo@debian.org>  Fri, 03 Sep 2010 12:36:41 +0200

gst-plugins-ugly0.10 (0.10.15.6-1) experimental; urgency=low

  * New upstream pre-release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 30 Aug 2010 16:12:57 +0200

gst-plugins-ugly0.10 (0.10.15.5-1) experimental; urgency=low

  * New upstream pre-release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 25 Aug 2010 22:12:59 +0200

gst-plugins-ugly0.10 (0.10.15.4-1) experimental; urgency=low

  * New upstream pre-release.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 21 Aug 2010 21:59:43 +0200

gst-plugins-ugly0.10 (0.10.15.3-1) experimental; urgency=low

  * New upstream pre-release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 11 Aug 2010 21:20:10 +0200

gst-plugins-ugly0.10 (0.10.15.2-1) experimental; urgency=low

  [ Sebastian Dröge ]
  * debian/patches/01_x264-i-weighted-pred.patch:
    + Don't fail the build if x264 is accidentially installed but
      an older version is used (Closes: #584094).
      Patch from upstream bugzilla.

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]


=== debian/control ===
Source: gst-plugins-ugly1.0
Section: libs
Priority: optional
Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
Uploaders: Loic Minier <lool@dooz.org>,
           Sebastian Dröge <slomo@debian.org>
Build-Depends: autoconf (>= 2.62),
               automake (>= 1.11),
               autopoint (>= 0.17),
               autotools-dev,
               cdbs (>= 0.4.93),
               debhelper (>= 9),
               dh-autoreconf,
               dpkg-dev (>= 1.15.1),
               libgstreamer1.0-dev (>= 0.11.91),
               gstreamer1.0-doc,
               gstreamer1.0-plugins-base,
               gstreamer1.0-plugins-base-doc,
               gstreamer1.0-tools (>= 0.11.91),
               gtk-doc-tools,
               liba52-0.7.4-dev,
               libcdio-dev (>= 0.76),
               libdvdread-dev (>= 0.9.0),
               libglib2.0-dev (>= 2.31.14),
               libgstreamer-plugins-base1.0-dev (>= 0.11.91),
               libmad0-dev (>= 0.15),
               libmp3lame-dev,
               libmpeg2-4-dev (>= 0.4.0),
               libopencore-amrnb-dev,
               libopencore-amrwb-dev,
               liborc-0.4-dev (>= 1:0.4.11),
               libsidplay1-dev,
               libtool (>= 2.2.6),
               libtwolame-dev (>= 0.3.10),
               libx264-dev (>= 0.55.0),
               pkg-config (>= 0.11.0)
Standards-Version: 3.9.3
Vcs-Git: git://anonscm.debian.org/pkg-gstreamer/gst-plugins-ugly1.0.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gstreamer/gst-plugins-ugly1.0.git
Homepage: http://gstreamer.freedesktop.org/modules/gst-plugins-ugly.html

Package: gstreamer1.0-plugins-ugly-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         gstreamer1.0-doc,
         gstreamer1.0-plugins-base-doc
Description: GStreamer documentation for plugins from the "ugly" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains documentation for plugins from the "ugly" set,
 a set of good-quality plug-ins that might pose distribution problems.

Package: gstreamer1.0-plugins-ugly
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Provides: ${gstreamer:Provides}
Description: GStreamer plugins from the "ugly" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains plugins from the "ugly" set, a set of
 good-quality plug-ins that might pose distribution problems.

Package: gstreamer1.0-plugins-ugly-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: gstreamer1.0-plugins-ugly (= ${binary:Version}),
         ${misc:Depends}
Description: GStreamer plugins from the "ugly" set (debug symbols)
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains unstripped shared libraries. It is provided primarily
 to provide a backtrace with names in a debugger, this makes it somewhat
 easier to interpret core dumps. The libraries are installed in
 /usr/lib/debug and are automatically used by gdb.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk
-include /usr/share/cdbs/1/rules/autoreconf.mk

# make autoreconf not call libtoolize since we ship a patch for ltmain.sh
export LIBTOOLIZE=true
# make autoreconf not call autopoint since we ship a patch for po/Makefile.in.in
export AUTOPOINT=true

CFLAGS += -Wno-error
CXXFLAGS += -Wno-error
LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
DEB_MAKE_CHECK_TARGET = check || true

# this is for compatibility with dpkg-dev < 1.13.5, see
# <http://lists.debian.org/debian-devel-announce/2005/06/msg00010.html>
DEB_HOST_ARCH_CPU := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU 2>/dev/null)
DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)

# Take account of old dpkg-architecture output.
ifeq ($(DEB_HOST_ARCH_CPU),)
  DEB_HOST_ARCH_CPU := $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
  ifeq ($(DEB_HOST_ARCH_CPU),x86_64)
    DEB_HOST_ARCH_CPU := amd64
  endif
endif
ifeq ($(DEB_HOST_ARCH_OS),)
  DEB_HOST_ARCH_OS := $(subst -gnu,,$(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM))
  ifeq ($(DEB_HOST_ARCH_OS),gnu)
    DEB_HOST_ARCH_OS := hurd
  endif
endif
# end of compatibility block

# debian package version
version=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
# upstream version
gst_version=$(shell echo $(version) | cut -d '-' -f 1)
gst_major=1
gst_minor=0
gst_abi=$(gst_major).$(gst_minor)
# gstreamer library package names
gst_lib=libgstreamer$(gst_abi)-0
gst_lib_dev=libgstreamer$(gst_abi)-dev
# what gstreamer version is needed
gst_lib_dev_dep=$(gst_lib_dev) (>= 0.11.91)

gst_pkgname=gstreamer$(gst_abi)
gst_deb_abi=$(gst_abi)-0

gst_extra_build_depends =

# The plugins are basically the same.
# Link special names to a template file.
# still need "*.install" to be done by hand
# 
# EXTRA_PLUGINS: See debian/README.Debian for docs
EXTRA_PLUGINS +=

PLUGINS += plugins-ugly $(EXTRA_PLUGINS)
ifeq ($(DEB_HOST_ARCH_OS),linux)
PLUGINS +=
endif
VERSIONIZE= \
	plugins-ugly-doc.install \

# debug package
DEB_DH_STRIP_ARGS := --dbg-package=$(gst_pkgname)-plugins-ugly-dbg


# Let's decide the package name and url depending on the distribution
DISTRO = "$(shell dpkg-vendor --query vendor)"

GST_PACKAGE_NAME := "GStreamer Ugly Plugins (unknown Debian derivative)"
GST_PACKAGE_ORIGIN="http://packages.qa.debian.org/gst-plugins-ugly$(gst_abi)"

ifeq ($(DISTRO),"Debian")
GST_PACKAGE_NAME := "GStreamer Ugly Plugins (Debian)"
GST_PACKAGE_ORIGIN="http://packages.qa.debian.org/gst-plugins-ugly$(gst_abi)"
endif

ifeq ($(DISTRO),"Ubuntu")
GST_PACKAGE_NAME := "GStreamer Ugly Plugins (Ubuntu)"
GST_PACKAGE_ORIGIN="https://launchpad.net/distros/ubuntu/+source/gst-plugins-ugly$(gst_abi)"
endif


# setup links for packages
pre-build::
	for p in $(PLUGINS); do \
		rm -f debian/$(gst_pkgname)-$$p.install; \
		cat debian/gstreamer-$$p.install | \
			sed 's/@GST_ABI@/$(gst_abi)/g' \
			> debian/$(gst_pkgname)-$$p.install; \
	done

	for f in $(VERSIONIZE); do \
		cat debian/gstreamer-$$f | \
			sed 's/@GST_ABI@/$(gst_abi)/g' \
			> debian/$(gst_pkgname)-$$f; \
	done

maint: debian/control

debian/build-deps: debian/build-deps.in debian/rules
	cat $< > $@
	for plugin in $(EXTRA_PLUGINS) ; do \
		sh debian/extra deps $$plugin >> $@; \
	done
	sort $@ -o $@

debian/control:: debian/control.in debian/build-deps debian/mk.control debian/rules
	perl debian/mk.control | \
		sed  -e 's/@GST_VERSION@/$(gst_version)/g' \
		    -e 's/@GST_ABI@/$(gst_abi)/g' \
		    -e 's/@GST_PKGNAME@/$(gst_pkgname)/g' \
		    -e 's/@GST_LIB@/$(gst_lib)/g' \
		    -e 's/@GST_LIB_DEV@/$(gst_lib_dev)/g' \
		    -e 's/@GST_LIB_DEV_DEP@/$(gst_lib_dev_dep)/g' \
		    -e 's/@GST_EXTRA_BUILD_DEPENDS@/$(gst_extra_build_depends)/g' \
		    -e '/^Build-Depends\(-Indep\)\?/s/,\( *,\)*/,/g' \
		    -e '/^Build-Depends\(-Indep\)\?/s/\ *,\ */,\n               /g' \
		    >$@
	for plugin in $(EXTRA_PLUGINS) ; do \
		sh debian/extra control $$plugin | \
			sed 's/@GST_ABI@/$(gst_abi)/g' | \
			sed 's/@GST_PKGNAME@/$(gst_pkgname)/g' | \
			sed 's/@GST_LIB@/$(gst_lib)/g' | \
			sed 's/@GST_LIB_DEV@/$(gst_lib_dev)/g' | \
			sed 's/@GST_LIB_DEV_DEP@/$(gst_lib_dev_dep)/g' | \
			sed 's/@GST_PLUGINS_LIB@/$(gst_plugins_lib)/g' | \
			sed 's/@GST_PLUGINS_LIB_DEV@/$(gst_plugins_lib_dev)/g' | \
			sed 's/@GST_PLUGINS_LIB_DEV_DEP@/$(gst_plugins_lib_dev_dep)/g' | \
			sed 's/@GST_GCONF_LIB@/$(gst_gconf_lib)/g' | \
			sed 's/@GST_GCONF_LIB_DEV@/$(gst_gconf_lib_dev)/g' | \
			sed 's/@GST_GCONF_LIB_DEV_DEP@/$(gst_gconf_lib_dev_dep)/g' >> $@; \
	done


DEB_CONFIGURE_EXTRA_FLAGS += \
	--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
	--disable-examples \
	--enable-DEBUG \
	--enable-debug \
	--with-package-name=$(GST_PACKAGE_NAME) \
	--with-package-origin=$(GST_PACKAGE_ORIGIN)

# only build the docs on arches which can
ifeq (,$(findstring $(DEB_HOST_ARCH),m68k arm))
DEB_CONFIGURE_EXTRA_FLAGS += --enable-gtk-doc
endif


clean::
	# get rid of the sym links
	for i in $(PLUGINS); do \
		rm -f debian/$(gst_pkgname)-$$i.install; \
		rm -f debian/$(gst_pkgname)-$$i.preinst; \
	done
	for f in $(VERSIONIZE); do \
		rm -f debian/$(gst_pkgname)-$$f; \
	done

common-binary-fixup-arch::
	dh_gstscancodecs

DEB_INSTALL_DOCS_ALL += debian/README.Debian NEWS

# Disable inclusion of large upstream ChangeLog
DEB_INSTALL_CHANGELOGS_ALL :=

.PHONY: maint

## gst-plugins-ugly1.0 0.11.92

=== debian/changelog ===
gst-plugins-ugly1.0 (0.11.92-1) experimental; urgency=low

  * New upstream release, "Hey You":
    + debian/rules,
      debian/build-deps.in:
      - Depend on GStreamer core/base >= 0.11.92.
    + debian/build-deps.in:
      - Depend on libx264-dev >= 2:0.106.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 08 Jun 2012 13:30:02 +0200

=== debian/control ===
--- 
+++ 
@@ -12,17 +12,17 @@
                debhelper (>= 9),
                dh-autoreconf,
                dpkg-dev (>= 1.15.1),
-               libgstreamer1.0-dev (>= 0.11.91),
+               libgstreamer1.0-dev (>= 0.11.92),
                gstreamer1.0-doc,
                gstreamer1.0-plugins-base,
                gstreamer1.0-plugins-base-doc,
-               gstreamer1.0-tools (>= 0.11.91),
+               gstreamer1.0-tools (>= 0.11.92),
                gtk-doc-tools,
                liba52-0.7.4-dev,
                libcdio-dev (>= 0.76),
                libdvdread-dev (>= 0.9.0),
                libglib2.0-dev (>= 2.31.14),
-               libgstreamer-plugins-base1.0-dev (>= 0.11.91),
+               libgstreamer-plugins-base1.0-dev (>= 0.11.92),
                libmad0-dev (>= 0.15),
                libmp3lame-dev,
                libmpeg2-4-dev (>= 0.4.0),
@@ -32,7 +32,7 @@
                libsidplay1-dev,
                libtool (>= 2.2.6),
                libtwolame-dev (>= 0.3.10),
-               libx264-dev (>= 0.55.0),
+               libx264-dev (>= 2:0.106),
                pkg-config (>= 0.11.0)
 Standards-Version: 3.9.3
 Vcs-Git: git://anonscm.debian.org/pkg-gstreamer/gst-plugins-ugly1.0.git

=== debian/rules ===
--- 
+++ 
@@ -46,7 +46,7 @@
 gst_lib=libgstreamer$(gst_abi)-0
 gst_lib_dev=libgstreamer$(gst_abi)-dev
 # what gstreamer version is needed
-gst_lib_dev_dep=$(gst_lib_dev) (>= 0.11.91)
+gst_lib_dev_dep=$(gst_lib_dev) (>= 0.11.92)
 
 gst_pkgname=gstreamer$(gst_abi)
 gst_deb_abi=$(gst_abi)-0

## gst-plugins-ugly1.0 0.11.93

=== debian/changelog ===
gst-plugins-ugly1.0 (0.11.93-1) experimental; urgency=low

  * New upstream release:
    + debian/rules,
      debian/build-deps.in:
      - Depend on GStreamer core/base >= 0.11.93.
    + debian/build-deps.in:
      - Depend on libx264-dev >= 2:0.106.
      - Depend on ORC >= 0.4.16.
      - Depend on GLIB >= 2.23.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 09 Aug 2012 11:28:47 +0200

=== debian/control ===
--- 
+++ 
@@ -12,27 +12,27 @@
                debhelper (>= 9),
                dh-autoreconf,
                dpkg-dev (>= 1.15.1),
-               libgstreamer1.0-dev (>= 0.11.92),
+               libgstreamer1.0-dev (>= 0.11.93),
                gstreamer1.0-doc,
                gstreamer1.0-plugins-base,
                gstreamer1.0-plugins-base-doc,
-               gstreamer1.0-tools (>= 0.11.92),
+               gstreamer1.0-tools (>= 0.11.93),
                gtk-doc-tools,
                liba52-0.7.4-dev,
                libcdio-dev (>= 0.76),
                libdvdread-dev (>= 0.9.0),
-               libglib2.0-dev (>= 2.31.14),
-               libgstreamer-plugins-base1.0-dev (>= 0.11.92),
+               libglib2.0-dev (>= 2.32),
+               libgstreamer-plugins-base1.0-dev (>= 0.11.93),
                libmad0-dev (>= 0.15),
                libmp3lame-dev,
                libmpeg2-4-dev (>= 0.4.0),
                libopencore-amrnb-dev,
                libopencore-amrwb-dev,
-               liborc-0.4-dev (>= 1:0.4.11),
+               liborc-0.4-dev (>= 1:0.4.16),
                libsidplay1-dev,
                libtool (>= 2.2.6),
                libtwolame-dev (>= 0.3.10),
-               libx264-dev (>= 2:0.106),
+               libx264-dev (>= 2:0.120),
                pkg-config (>= 0.11.0)
 Standards-Version: 3.9.3
 Vcs-Git: git://anonscm.debian.org/pkg-gstreamer/gst-plugins-ugly1.0.git

=== debian/rules ===
--- 
+++ 
@@ -46,7 +46,7 @@
 gst_lib=libgstreamer$(gst_abi)-0
 gst_lib_dev=libgstreamer$(gst_abi)-dev
 # what gstreamer version is needed
-gst_lib_dev_dep=$(gst_lib_dev) (>= 0.11.92)
+gst_lib_dev_dep=$(gst_lib_dev) (>= 0.11.93)
 
 gst_pkgname=gstreamer$(gst_abi)
 gst_deb_abi=$(gst_abi)-0

## gst-plugins-ugly1.0 0.11.94

=== debian/changelog ===
gst-plugins-ugly1.0 (0.11.94-1) experimental; urgency=low

  * New upstream release:
    + debian/rules,
      debian/build-deps.in:
      - Build-depend on GStreamer core/base >= 0.11.93.
      - Build-depend on gtk-doc >= 1.12.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 14 Sep 2012 10:39:56 +0200

=== debian/control ===
--- 
+++ 
@@ -12,17 +12,17 @@
                debhelper (>= 9),
                dh-autoreconf,
                dpkg-dev (>= 1.15.1),
-               libgstreamer1.0-dev (>= 0.11.93),
+               libgstreamer1.0-dev (>= 0.11.94),
                gstreamer1.0-doc,
                gstreamer1.0-plugins-base,
                gstreamer1.0-plugins-base-doc,
-               gstreamer1.0-tools (>= 0.11.93),
-               gtk-doc-tools,
+               gstreamer1.0-tools (>= 0.11.94),
+               gtk-doc-tools (>= 1.12),
                liba52-0.7.4-dev,
                libcdio-dev (>= 0.76),
                libdvdread-dev (>= 0.9.0),
                libglib2.0-dev (>= 2.32),
-               libgstreamer-plugins-base1.0-dev (>= 0.11.93),
+               libgstreamer-plugins-base1.0-dev (>= 0.11.94),
                libmad0-dev (>= 0.15),
                libmp3lame-dev,
                libmpeg2-4-dev (>= 0.4.0),

=== debian/rules ===
--- 
+++ 
@@ -46,7 +46,7 @@
 gst_lib=libgstreamer$(gst_abi)-0
 gst_lib_dev=libgstreamer$(gst_abi)-dev
 # what gstreamer version is needed
-gst_lib_dev_dep=$(gst_lib_dev) (>= 0.11.93)
+gst_lib_dev_dep=$(gst_lib_dev) (>= 0.11.94)
 
 gst_pkgname=gstreamer$(gst_abi)
 gst_deb_abi=$(gst_abi)-0

=== debian/watch ===
version=2
http://gstreamer.freedesktop.org/src/gst-plugins-ugly/gst-plugins-ugly-(0\.11\..*)\.tar\.gz

## gst-plugins-ugly1.0 0.11.99

=== debian/changelog ===
gst-plugins-ugly1.0 (0.11.99-1) experimental; urgency=low

  * New upstream release:
    + debian/rules,
      debian/build-deps.in:
      - Build-depend on GStreamer core/base >= 0.11.99.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 18 Sep 2012 10:12:34 +0200

=== debian/control ===
--- 
+++ 
@@ -12,17 +12,17 @@
                debhelper (>= 9),
                dh-autoreconf,
                dpkg-dev (>= 1.15.1),
-               libgstreamer1.0-dev (>= 0.11.94),
+               libgstreamer1.0-dev (>= 0.11.99),
                gstreamer1.0-doc,
                gstreamer1.0-plugins-base,
                gstreamer1.0-plugins-base-doc,
-               gstreamer1.0-tools (>= 0.11.94),
+               gstreamer1.0-tools (>= 0.11.99),
                gtk-doc-tools (>= 1.12),
                liba52-0.7.4-dev,
                libcdio-dev (>= 0.76),
                libdvdread-dev (>= 0.9.0),
                libglib2.0-dev (>= 2.32),
-               libgstreamer-plugins-base1.0-dev (>= 0.11.94),
+               libgstreamer-plugins-base1.0-dev (>= 0.11.99),
                libmad0-dev (>= 0.15),
                libmp3lame-dev,
                libmpeg2-4-dev (>= 0.4.0),

=== debian/rules ===
--- 
+++ 
@@ -46,7 +46,7 @@
 gst_lib=libgstreamer$(gst_abi)-0
 gst_lib_dev=libgstreamer$(gst_abi)-dev
 # what gstreamer version is needed
-gst_lib_dev_dep=$(gst_lib_dev) (>= 0.11.94)
+gst_lib_dev_dep=$(gst_lib_dev) (>= 0.11.99)
 
 gst_pkgname=gstreamer$(gst_abi)
 gst_deb_abi=$(gst_abi)-0

## gst-plugins-ugly1.0 1.0.0

=== debian/changelog ===
gst-plugins-ugly1.0 (1.0.0-1) unstable; urgency=low

  * New upstream stable release:
    + debian/rules,
      debian/build-deps.in:
      - Build-depend on GStreamer core/base >= 1.0.0.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 25 Sep 2012 00:25:51 +0200

## gst-plugins-ugly1.0 1.0.1

=== debian/changelog ===
gst-plugins-ugly1.0 (1.0.1-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 08 Oct 2012 10:56:38 +0200

=== debian/control ===
--- 
+++ 
@@ -12,17 +12,16 @@
                debhelper (>= 9),
                dh-autoreconf,
                dpkg-dev (>= 1.15.1),
-               libgstreamer1.0-dev (>= 0.11.99),
+               libgstreamer1.0-dev (>= 1.0.0),
                gstreamer1.0-doc,
-               gstreamer1.0-plugins-base,
+               gstreamer1.0-plugins-base (>= 1.0.0),
                gstreamer1.0-plugins-base-doc,
-               gstreamer1.0-tools (>= 0.11.99),
                gtk-doc-tools (>= 1.12),
                liba52-0.7.4-dev,
                libcdio-dev (>= 0.76),
                libdvdread-dev (>= 0.9.0),
                libglib2.0-dev (>= 2.32),
-               libgstreamer-plugins-base1.0-dev (>= 0.11.99),
+               libgstreamer-plugins-base1.0-dev (>= 1.0.0),
                libmad0-dev (>= 0.15),
                libmp3lame-dev,
                libmpeg2-4-dev (>= 0.4.0),

## gst-plugins-ugly1.0 1.0.2

=== debian/changelog ===
gst-plugins-ugly1.0 (1.0.2-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 25 Oct 2012 14:01:36 +0200

## gst-plugins-ugly1.0 1.0.3

=== debian/changelog ===
gst-plugins-ugly1.0 (1.0.3-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 21 Nov 2012 14:56:18 +0100

=== debian/rules ===
--- 
+++ 
@@ -46,7 +46,7 @@
 gst_lib=libgstreamer$(gst_abi)-0
 gst_lib_dev=libgstreamer$(gst_abi)-dev
 # what gstreamer version is needed
-gst_lib_dev_dep=$(gst_lib_dev) (>= 0.11.99)
+gst_lib_dev_dep=$(gst_lib_dev) (>= 1.0.0)
 
 gst_pkgname=gstreamer$(gst_abi)
 gst_deb_abi=$(gst_abi)-0

## gst-plugins-ugly1.0 1.0.4

=== debian/changelog ===
gst-plugins-ugly1.0 (1.0.4-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 19 Dec 2012 10:33:01 +0100

## gst-plugins-ugly1.0 1.0.5

=== debian/changelog ===
gst-plugins-ugly1.0 (1.0.5-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 08 Jan 2013 13:51:24 +0100

## gst-plugins-ugly1.0 1.0.6

=== debian/changelog ===
gst-plugins-ugly1.0 (1.0.6-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 22 Mar 2013 18:19:37 +0100

## gst-plugins-ugly1.0 1.0.7

=== debian/changelog ===
gst-plugins-ugly1.0 (1.0.7-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 26 Apr 2013 14:09:39 +0200

## gst-plugins-ugly1.0 1.0.8

=== debian/changelog ===
gst-plugins-ugly1.0 (1.0.8-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 13 Jul 2013 11:34:26 +0200

## gst-plugins-ugly1.0 1.1.3

=== debian/changelog ===
gst-plugins-ugly1.0 (1.1.3-1) experimental; urgency=low

  * New upstream development snapshot:
    + debian/build-deps.in,
      debian/rules:
      - Build depend on GStreamer and gst-plugins-base >= 1.1.3.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 30 Jul 2013 08:53:05 +0200

gst-plugins-ugly1.0 (1.1.2-1) experimental; urgency=low

  * New upstream development snapshot:
    + debian/build-deps.in,
      debian/rules:
      - Build depend on GStreamer and gst-plugins-base >= 1.1.2.
      - Build depend on orc >= 0.4.17.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 14 Jul 2013 12:08:01 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                debhelper (>= 9),
                dh-autoreconf,
                dpkg-dev (>= 1.15.1),
-               libgstreamer1.0-dev (>= 1.0.0),
+               libgstreamer1.0-dev (>= 1.1.3),
                gstreamer1.0-doc,
                gstreamer1.0-plugins-base (>= 1.0.0),
                gstreamer1.0-plugins-base-doc,
@@ -21,13 +21,13 @@
                libcdio-dev (>= 0.76),
                libdvdread-dev (>= 0.9.0),
                libglib2.0-dev (>= 2.32),
-               libgstreamer-plugins-base1.0-dev (>= 1.0.0),
+               libgstreamer-plugins-base1.0-dev (>= 1.1.3),
                libmad0-dev (>= 0.15),
                libmp3lame-dev,
                libmpeg2-4-dev (>= 0.4.0),
                libopencore-amrnb-dev,
                libopencore-amrwb-dev,
-               liborc-0.4-dev (>= 1:0.4.16),
+               liborc-0.4-dev (>= 1:0.4.17),
                libsidplay1-dev,
                libtool (>= 2.2.6),
                libtwolame-dev (>= 0.3.10),

=== debian/rules ===
--- 
+++ 
@@ -46,7 +46,7 @@
 gst_lib=libgstreamer$(gst_abi)-0
 gst_lib_dev=libgstreamer$(gst_abi)-dev
 # what gstreamer version is needed
-gst_lib_dev_dep=$(gst_lib_dev) (>= 1.0.0)
+gst_lib_dev_dep=$(gst_lib_dev) (>= 1.1.3)
 
 gst_pkgname=gstreamer$(gst_abi)
 gst_deb_abi=$(gst_abi)-0

## gst-plugins-ugly1.0 1.1.4

=== debian/changelog ===
gst-plugins-ugly1.0 (1.1.4-1) experimental; urgency=low

  * New upstream development snapshot:
    + debian/build-deps.in,
      debian/rules:
      - Build depend on GStreamer and gst-plugins-base >= 1.1.4.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 30 Aug 2013 12:56:41 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                debhelper (>= 9),
                dh-autoreconf,
                dpkg-dev (>= 1.15.1),
-               libgstreamer1.0-dev (>= 1.1.3),
+               libgstreamer1.0-dev (>= 1.1.4),
                gstreamer1.0-doc,
                gstreamer1.0-plugins-base (>= 1.0.0),
                gstreamer1.0-plugins-base-doc,
@@ -21,7 +21,7 @@
                libcdio-dev (>= 0.76),
                libdvdread-dev (>= 0.9.0),
                libglib2.0-dev (>= 2.32),
-               libgstreamer-plugins-base1.0-dev (>= 1.1.3),
+               libgstreamer-plugins-base1.0-dev (>= 1.1.4),
                libmad0-dev (>= 0.15),
                libmp3lame-dev,
                libmpeg2-4-dev (>= 0.4.0),

=== debian/rules ===
--- 
+++ 
@@ -46,7 +46,7 @@
 gst_lib=libgstreamer$(gst_abi)-0
 gst_lib_dev=libgstreamer$(gst_abi)-dev
 # what gstreamer version is needed
-gst_lib_dev_dep=$(gst_lib_dev) (>= 1.1.3)
+gst_lib_dev_dep=$(gst_lib_dev) (>= 1.1.4)
 
 gst_pkgname=gstreamer$(gst_abi)
 gst_deb_abi=$(gst_abi)-0

## gst-plugins-ugly1.0 1.2.0

=== debian/changelog ===
gst-plugins-ugly1.0 (1.2.0-1) unstable; urgency=low

  * New upstream stable release:
    + debian/build-deps.in,
      debian/rules:
      - Build depend on GStreamer and gst-plugins-base >= 1.2.0.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 24 Sep 2013 16:52:08 +0200

gst-plugins-ugly1.0 (1.1.90-1) experimental; urgency=low

  * New upstream release candidate:
    + debian/build-deps.in,
      debian/rules:
      - Build depend on GStreamer and gst-plugins-base >= 1.1.90.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 19 Sep 2013 12:50:32 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                debhelper (>= 9),
                dh-autoreconf,
                dpkg-dev (>= 1.15.1),
-               libgstreamer1.0-dev (>= 1.1.4),
+               libgstreamer1.0-dev (>= 1.2.0),
                gstreamer1.0-doc,
                gstreamer1.0-plugins-base (>= 1.0.0),
                gstreamer1.0-plugins-base-doc,
@@ -21,7 +21,7 @@
                libcdio-dev (>= 0.76),
                libdvdread-dev (>= 0.9.0),
                libglib2.0-dev (>= 2.32),
-               libgstreamer-plugins-base1.0-dev (>= 1.1.4),
+               libgstreamer-plugins-base1.0-dev (>= 1.2.0),
                libmad0-dev (>= 0.15),
                libmp3lame-dev,
                libmpeg2-4-dev (>= 0.4.0),

## gst-plugins-ugly1.0 1.2.1

=== debian/changelog ===
gst-plugins-ugly1.0 (1.2.1-1) unstable; urgency=low

  [ Fabian Greffrath ]
  * Team upload.
  * Update Vcs-Browser field in debian/control{,.in}.

  [ Sebastian Dröge ]
  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 09 Nov 2013 17:10:37 +0100

=== debian/rules ===
--- 
+++ 
@@ -46,7 +46,7 @@
 gst_lib=libgstreamer$(gst_abi)-0
 gst_lib_dev=libgstreamer$(gst_abi)-dev
 # what gstreamer version is needed
-gst_lib_dev_dep=$(gst_lib_dev) (>= 1.1.4)
+gst_lib_dev_dep=$(gst_lib_dev) (>= 1.2.0)
 
 gst_pkgname=gstreamer$(gst_abi)
 gst_deb_abi=$(gst_abi)-0

## gst-plugins-ugly1.0 1.2.2

=== debian/changelog ===
gst-plugins-ugly1.0 (1.2.2-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 27 Dec 2013 11:03:19 +0100

## gst-plugins-ugly1.0 1.2.3

=== debian/changelog ===
gst-plugins-ugly1.0 (1.2.3-2build1) trusty; urgency=medium

  * No-change rebuild for x264 soname bump.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Mar 2014 05:55:30 +0000

gst-plugins-ugly1.0 (1.2.3-2) unstable; urgency=medium

  * debian/patches/01_a52dec-configure.patch:
    + Fix configure check for a52dec after latest upload of a52dec.
      Patch taken from multiple upstream commits (Closes: #739803).

 -- Sebastian Dröge <slomo@debian.org>  Sun, 23 Feb 2014 11:09:07 +0100

gst-plugins-ugly1.0 (1.2.3-1) unstable; urgency=medium

  [ Iain Lane ]
  * Drop ltmain-as-needed and do the same with dh_autoreconf --as-needed.
    Thanks, Logan Rosen. (Closes: #734560) 

  [ Sebastian Dröge ]
  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 09 Feb 2014 11:27:13 +0100

=== debian/control ===
--- 
+++ 
@@ -35,7 +35,7 @@
                pkg-config (>= 0.11.0)
 Standards-Version: 3.9.3
 Vcs-Git: git://anonscm.debian.org/pkg-gstreamer/gst-plugins-ugly1.0.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gstreamer/gst-plugins-ugly1.0.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gstreamer/gst-plugins-ugly1.0.git;a=summary
 Homepage: http://gstreamer.freedesktop.org/modules/gst-plugins-ugly.html
 
 Package: gstreamer1.0-plugins-ugly-doc

=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,10 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/gnome.mk
 include /usr/share/cdbs/1/rules/utils.mk
--include /usr/share/cdbs/1/rules/autoreconf.mk
+include /usr/share/cdbs/1/rules/autoreconf.mk
 
-# make autoreconf not call libtoolize since we ship a patch for ltmain.sh
-export LIBTOOLIZE=true
+DEB_DH_AUTORECONF_ARGS=--as-needed
+
 # make autoreconf not call autopoint since we ship a patch for po/Makefile.in.in
 export AUTOPOINT=true

## gst-plugins-ugly1.0 1.2.4

=== debian/changelog ===
gst-plugins-ugly1.0 (1.2.4-1~bpo70+1) wheezy-backports; urgency=medium

  * Backport to wheezy, no changes required.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 28 May 2014 11:35:29 +0200

gst-plugins-ugly1.0 (1.2.4-1) unstable; urgency=medium

  * New upstream bugfix release:
    + debian/patches/01_a52dec-configure.patch:
      - Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 19 Apr 2014 15:48:49 +0200

## gst-plugins-ugly1.0 1.4.2

=== debian/changelog ===
gst-plugins-ugly1.0 (1.4.2-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 19 Sep 2014 14:41:27 +0300

gst-plugins-ugly1.0 (1.4.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 27 Aug 2014 14:49:07 +0300

gst-plugins-ugly1.0 (1.4.0-1) unstable; urgency=medium

  * New upstream stable release.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 19 Jul 2014 17:44:56 +0200

gst-plugins-ugly1.0 (1.3.91-1) experimental; urgency=medium

  * New upstream release candidate:
    + debian/rules,
      debian/build-deps.in:
      - Build-depend on GStreamer core and base >= 1.3.91.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 11 Jul 2014 11:41:22 +0200

gst-plugins-ugly1.0 (1.3.90-1) experimental; urgency=medium

  * New upstream release candidate:
    + debian/rules,
      debian/build-deps.in:
      - Build-depend on GStreamer core and base >= 1.3.90.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 28 Jun 2014 12:16:48 +0200

gst-plugins-ugly1.0 (1.3.3-1) experimental; urgency=medium

  * New upstream development release:
    + debian/rules,
      debian/build-deps.in:
      - Build-depend on GStreamer core and base >= 1.3.3.
  * debian/rules:
    + Run autopoint during autoreconf.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 22 Jun 2014 18:11:52 +0200

gst-plugins-ugly1.0 (1.3.2-1) experimental; urgency=medium

  * New upstream development release:
    + debian/rules,
      debian/build-deps.in:
      - Build-depend on GStreamer core and base >= 1.3.2.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 21 May 2014 12:56:31 +0200

gst-plugins-ugly1.0 (1.3.1-1) experimental; urgency=medium

  * New upstream development release:
    + debian/rules,
      debian/build-deps.in:
      - Build-depend on GStreamer core and base >= 1.3.1.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 03 May 2014 19:35:41 +0200

## gst-plugins-ugly1.0 1.4.4

=== debian/changelog ===
gst-plugins-ugly1.0 (1.4.4-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 11 Nov 2014 13:40:29 +0100

gst-plugins-ugly1.0 (1.4.4-1) experimental; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 06 Nov 2014 13:02:56 +0100

gst-plugins-ugly1.0 (1.4.3-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 24 Sep 2014 12:15:48 +0300

=== debian/control ===
--- 
+++ 
@@ -12,16 +12,16 @@
                debhelper (>= 9),
                dh-autoreconf,
                dpkg-dev (>= 1.15.1),
-               libgstreamer1.0-dev (>= 1.2.0),
+               libgstreamer1.0-dev (>= 1.4.0),
                gstreamer1.0-doc,
-               gstreamer1.0-plugins-base (>= 1.0.0),
+               gstreamer1.0-plugins-base (>= 1.4.0),
                gstreamer1.0-plugins-base-doc,
                gtk-doc-tools (>= 1.12),
                liba52-0.7.4-dev,
                libcdio-dev (>= 0.76),
                libdvdread-dev (>= 0.9.0),
                libglib2.0-dev (>= 2.32),
-               libgstreamer-plugins-base1.0-dev (>= 1.2.0),
+               libgstreamer-plugins-base1.0-dev (>= 1.4.0),
                libmad0-dev (>= 0.15),
                libmp3lame-dev,
                libmpeg2-4-dev (>= 0.4.0),

=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,6 @@
 include /usr/share/cdbs/1/rules/autoreconf.mk
 
 DEB_DH_AUTORECONF_ARGS=--as-needed
-
-# make autoreconf not call autopoint since we ship a patch for po/Makefile.in.in
-export AUTOPOINT=true
 
 CFLAGS += -Wno-error
 CXXFLAGS += -Wno-error
@@ -46,7 +43,7 @@
 gst_lib=libgstreamer$(gst_abi)-0
 gst_lib_dev=libgstreamer$(gst_abi)-dev
 # what gstreamer version is needed
-gst_lib_dev_dep=$(gst_lib_dev) (>= 1.2.0)
+gst_lib_dev_dep=$(gst_lib_dev) (>= 1.4.0)
 
 gst_pkgname=gstreamer$(gst_abi)
 gst_deb_abi=$(gst_abi)-0

## gst-plugins-ugly1.0 1.4.5

=== debian/changelog ===
gst-plugins-ugly1.0 (1.4.5-1ubuntu3) wily; urgency=medium

  * No change rebuild for new x264 

 -- Micah Gersten <micahg@ubuntu.com>  Tue, 12 May 2015 22:48:08 -0500

gst-plugins-ugly1.0 (1.4.5-1ubuntu2) vivid; urgency=medium

  * Add Breaks/Replaces for file move.

 -- Iain Lane <laney@debian.org>  Mon, 12 Jan 2015 15:44:37 +0000

gst-plugins-ugly1.0 (1.4.5-1ubuntu1) vivid; urgency=medium

  * Split AMR out into a gstreamer1.0-plugins-ugly-amr package.
  * Run dh_install with --fail-missing to error out if files aren't installed.

 -- Iain Lane <laney@debian.org>  Mon, 12 Jan 2015 11:11:31 +0000

gst-plugins-ugly1.0 (1.4.5-1) experimental; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 18 Dec 2014 12:25:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gst-plugins-ugly1.0
 Section: libs
 Priority: optional
-Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
 Uploaders: Loic Minier <lool@dooz.org>,
            Sebastian Dröge <slomo@debian.org>
 Build-Depends: autoconf (>= 2.62),
@@ -58,7 +59,8 @@
 Package: gstreamer1.0-plugins-ugly
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
+Depends: gstreamer1.0-plugins-ugly-amr (= ${binary:Version}),
+         ${misc:Depends},
          ${shlibs:Depends}
 XB-GStreamer-Version: ${gstreamer:Version}
 XB-GStreamer-Elements: ${gstreamer:Elements}
@@ -77,6 +79,31 @@
  .
  This package contains plugins from the "ugly" set, a set of
  good-quality plug-ins that might pose distribution problems.
+
+Package: gstreamer1.0-plugins-ugly-amr
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
+XB-GStreamer-Version: ${gstreamer:Version}
+XB-GStreamer-Elements: ${gstreamer:Elements}
+XB-GStreamer-URI-Sources: ${gstreamer:URISources}
+XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
+XB-GStreamer-Encoders: ${gstreamer:Encoders}
+XB-GStreamer-Decoders: ${gstreamer:Decoders}
+Provides: ${gstreamer:Provides}
+Replaces: gstreamer1.0-plugins-ugly (<< 1.4.5)
+Breaks: gstreamer1.0-plugins-ugly (<< 1.4.5)
+Description: GStreamer plugins from the "ugly" set
+ GStreamer is a streaming media framework, based on graphs of filters
+ which operate on media data.  Applications using this library can do
+ anything from real-time sound processing to playing videos, and just
+ about anything else media-related.  Its plugin-based architecture means
+ that new data types or processing capabilities can be added simply by
+ installing new plug-ins.
+ .
+ This package contains the AMR plugins from the "ugly" set, an audio
+ compression format which is optimised for coding speech.
 
 Package: gstreamer1.0-plugins-ugly-dbg
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 # EXTRA_PLUGINS: See debian/README.Debian for docs
 EXTRA_PLUGINS +=
 
-PLUGINS += plugins-ugly $(EXTRA_PLUGINS)
+PLUGINS += plugins-ugly plugins-ugly-amr $(EXTRA_PLUGINS)
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 PLUGINS +=
 endif
@@ -169,4 +169,7 @@
 # Disable inclusion of large upstream ChangeLog
 DEB_INSTALL_CHANGELOGS_ALL :=
 
+# Fail when files aren't installed
+DEB_DH_INSTALL_ARGS := --fail-missing -X.la
+
 .PHONY: maint

## gst-plugins-ugly1.0 1.5.1

=== debian/changelog ===
gst-plugins-ugly1.0 (1.5.1-1ubuntu2) wily; urgency=medium

  * No-change rebuild against libsidplay1v5

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 12 Aug 2015 11:51:54 +0200

gst-plugins-ugly1.0 (1.5.1-1ubuntu1) wily; urgency=medium

  * Merge with Debian. Remaining changes:
    + Split AMR out into a gstreamer1.0-plugins-ugly-amr package.
    + Run dh_install with --fail-missing to error out if files aren't
      installed.
  * debian/watch: Update to match current URL scheme

 -- Iain Lane <iain.lane@canonical.com>  Mon, 15 Jun 2015 10:25:07 +0100

gst-plugins-ugly1.0 (1.5.1-1) experimental; urgency=medium

  * New unstable upstream release.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 07 Jun 2015 11:07:42 +0200

gst-plugins-ugly1.0 (1.5.0.1+git20150513-1) experimental; urgency=medium

  * New upstream GIT snapshot.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 13 May 2015 13:25:26 +0300

gst-plugins-ugly1.0 (1.5.0.1+git20150316-1) experimental; urgency=medium

  * New upstream GIT snapshot.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 17 Mar 2015 09:24:19 +0100

=== debian/rules ===
--- 
+++ 
@@ -43,7 +43,7 @@
 gst_lib=libgstreamer$(gst_abi)-0
 gst_lib_dev=libgstreamer$(gst_abi)-dev
 # what gstreamer version is needed
-gst_lib_dev_dep=$(gst_lib_dev) (>= 1.4.0)
+gst_lib_dev_dep=$(gst_lib_dev) (>= 1.5.1)
 
 gst_pkgname=gstreamer$(gst_abi)
 gst_deb_abi=$(gst_abi)-0

## gst-plugins-ugly1.0 1.5.90

=== debian/changelog ===
gst-plugins-ugly1.0 (1.5.90-1ubuntu1) wily; urgency=medium

  * Merge with Debian. Remaining changes:
    + Split AMR out into a gstreamer1.0-plugins-ugly-amr package.
    + Run dh_install with --fail-missing to error out if files aren't
      installed.
    + debian/control{,.in}: Update Vcs-* for Ubuntu

 -- Iain Lane <iain.lane@canonical.com>  Fri, 04 Sep 2015 18:14:01 +0100

gst-plugins-ugly1.0 (1.5.90-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Iain Lane <laney@debian.org>  Wed, 19 Aug 2015 14:01:48 +0300

gst-plugins-ugly1.0 (1.5.2-1) experimental; urgency=medium

  [ Iain Lane ]
  * debian/watch: Update to match current URL scheme

  [ Sebastian Dröge ]
  * New unstable upstream release.

 -- Iain Lane <laney@debian.org>  Mon, 15 Jun 2015 09:36:32 +0100

gst-plugins-ugly1.0 (1.5.1-1ubuntu2) UNRELEASED; urgency=medium

  * debian/control{,.in}: Update Vcs-* for Ubuntu

 -- Iain Lane <iain.lane@canonical.com>  Fri, 04 Sep 2015 18:13:03 +0100

=== debian/control ===
--- 
+++ 
@@ -5,24 +5,24 @@
 XSBC-Original-Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
 Uploaders: Loic Minier <lool@dooz.org>,
            Sebastian Dröge <slomo@debian.org>
-Build-Depends: autoconf (>= 2.62),
-               automake (>= 1.11),
+Build-Depends: autoconf (>= 2.69),
+               automake (>= 1.14),
                autopoint (>= 0.17),
                autotools-dev,
                cdbs (>= 0.4.93),
                debhelper (>= 9),
                dh-autoreconf,
                dpkg-dev (>= 1.15.1),
-               libgstreamer1.0-dev (>= 1.4.0),
+               libgstreamer1.0-dev (>= 1.5.90),
                gstreamer1.0-doc,
-               gstreamer1.0-plugins-base (>= 1.4.0),
+               gstreamer1.0-plugins-base (>= 1.5.90),
                gstreamer1.0-plugins-base-doc,
                gtk-doc-tools (>= 1.12),
                liba52-0.7.4-dev,
                libcdio-dev (>= 0.76),
                libdvdread-dev (>= 0.9.0),
                libglib2.0-dev (>= 2.32),
-               libgstreamer-plugins-base1.0-dev (>= 1.4.0),
+               libgstreamer-plugins-base1.0-dev (>= 1.5.90),
                libmad0-dev (>= 0.15),
                libmp3lame-dev,
                libmpeg2-4-dev (>= 0.4.0),
@@ -35,8 +35,8 @@
                libx264-dev (>= 2:0.120),
                pkg-config (>= 0.11.0)
 Standards-Version: 3.9.3
-Vcs-Git: git://anonscm.debian.org/pkg-gstreamer/gst-plugins-ugly1.0.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gstreamer/gst-plugins-ugly1.0.git;a=summary
+Vcs-Git: git://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gst-plugins-ugly1.0
+Vcs-Browser: https://code.launchpad.net/~ubuntu-desktop/ubuntu/+source/gst-plugins-ugly1.0/+git/gst-plugins-ugly1.0
 Homepage: http://gstreamer.freedesktop.org/modules/gst-plugins-ugly.html
 
 Package: gstreamer1.0-plugins-ugly-doc

=== debian/rules ===
--- 
+++ 
@@ -43,7 +43,7 @@
 gst_lib=libgstreamer$(gst_abi)-0
 gst_lib_dev=libgstreamer$(gst_abi)-dev
 # what gstreamer version is needed
-gst_lib_dev_dep=$(gst_lib_dev) (>= 1.5.1)
+gst_lib_dev_dep=$(gst_lib_dev) (>= 1.5.90)
 
 gst_pkgname=gstreamer$(gst_abi)
 gst_deb_abi=$(gst_abi)-0
